﻿using SubhastesService;
using SubhastesService.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace SubhastesDesktopApp
{
    public class AutenticacioController:NotifyPropertyClass
    {
        #region Declaracions
        private string correu;
        private string password;
        #endregion


        #region Constructor
        public AutenticacioController()
        {
            this.Correu = "cgunix@gmail.com";
            this.Password = "12345";
        }
        #endregion


        #region Propietats
        public string Correu
        {
            get { return this.correu; }
            set {
                    this.correu = value;
                    base.SendPropertyChanged("Correu");
                }
        }

        public string Password
        {
            get { return this.password; }
            set { 
                    this.password = value;
                    base.SendPropertyChanged("Password");
                }
        }
        #endregion


        #region Métodes
        public ResultPeticioAutenticar Autenticar()
        {
            ResultPeticioAutenticar result = ApplicationData.Instance.Servei.Autenticar(this.correu, this.password);
            if (result.CodiError == 0) 
            {
                ApplicationData.Instance.Usuari = result.Usuari;
                ApplicationData.Instance.MainController.IsVistaAutenticacioVisible = false;
                ApplicationData.Instance.MainController.IsVistaLlistaSubhastesVisible = true;
            }

            return result;
        }
        #endregion


    }
}
