﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SubhastesService
{
    public class DataLayer
    {
        SqlConnectionStringBuilder sb;

        public DataLayer()
        {
            sb = new SqlConnectionStringBuilder();

            if (ConfigurationManager.AppSettings["User"] != null)
                sb.UserID = ConfigurationManager.AppSettings["User"];

            if (ConfigurationManager.AppSettings["Password"] != null)
                sb.Password = ConfigurationManager.AppSettings["Password"];

            sb.InitialCatalog = ConfigurationManager.AppSettings["Basedades"];
            sb.DataSource = ConfigurationManager.AppSettings["Servidor"];
            sb.IntegratedSecurity = Convert.ToBoolean(ConfigurationManager.AppSettings["SeguretatIntegrada"]);
        }

        protected SqlConnection GetConnection()
        {
            return new SqlConnection(sb.ToString());
        }
    }
}
