﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace SubhastesService.Entities
{
    [DataContract]
    public class Participant
    {
        public Participant()
        {
            this.Licitacions = new HashSet<Licitacio>();
        }

        [DataMember]
        public int IdParticipant { get; set; }
        [DataMember]
        public int IdSubhasta { get; set; }
        [DataMember]
        public int IdUsuari { get; set; }
        [DataMember]
        public decimal PreuMaxLicitacio { get; set; }
        [DataMember]
        public virtual ICollection<Licitacio> Licitacions { get; set; }
        [DataMember]
        public virtual Subhasta Subhasta { get; set; }
        [DataMember]
        public virtual Usuari Usuari { get; set; }
    }
}
