﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace SubhastesService.Entities
{
    [DataContract]
    public class Usuari
    {
        public Usuari()
        {
            this.Participants = new HashSet<Participant>();
        }

        [DataMember]
        public int IdUsuari { get; set; }
        [DataMember]
        public string Nom { get; set; }
        [DataMember]
        public string Correu { get; set; }
        [DataMember]
        public string Direccio { get; set; }
        [DataMember]
        public string Poblacio { get; set; }
        [DataMember]
        public string CP { get; set; }
        [DataMember]
        public string Password { get; set; }

        /// <summary>
        /// Un usuari pot participar en moltes subhastes.
        /// </summary>
        [DataMember]
        public virtual ICollection<Participant> Participants { get; set; }
    }
}
