﻿using SubhastesDesktopApp.ServeiSubhastes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SubhastesDesktopApp
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ApplicationData.Instance.MainController = new MainWindowController();
            this.DataContext = ApplicationData.Instance.MainController;
            
        }

        public MainWindowController Controller
        {
            get { return (MainWindowController) this.DataContext; }
        }

        private void btnEnrere_Click(object sender, RoutedEventArgs e)
        {
            this.Controller.GoToVistaAnterior();
        }

        private void btnSortir_Click(object sender, RoutedEventArgs e)
        {
            Application.Current.Shutdown();
        }
    }
}
