﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Windows.Data;

namespace SubhastesDesktopApp.Converters
{
    /// <summary>
    /// Formateja un valor decimal a string a partir d'una máscara establerta.
    /// </summary>
    public class DecimalToStringCurrencyConverter:IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            decimal valor = (decimal) value;
            string mascara = "#0.00 €";
            return valor.ToString(mascara);
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }
}
