﻿using SubhastesService.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Data;

namespace SubhastesDesktopApp.Converters
{
    /// <summary>
    /// Retorna true si la subhasta està iniciada, false en cas contrari.
    /// </summary>
    public class EstatSubhastaToBoolConverter:IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            enumEstatSubhasta estat = (enumEstatSubhasta) value;
            switch (estat)
            {
                case enumEstatSubhasta.Esperant:
                case enumEstatSubhasta.Finalitzada:
                default:
                    return false;
                case enumEstatSubhasta.Iniciada:
                    return true;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return null;
        }
    }
}
