﻿using SubhastesService;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SubhastesDesktopApp
{
    /// <summary>
    /// Interaction logic for RegionRegistreNouUsuari.xaml
    /// </summary>
    public partial class RegionRegistreUsuari : UserControl
    {
        public RegionRegistreUsuari()
        {
            InitializeComponent();
            this.IsVisibleChanged += RegionRegistreUsuari_IsVisibleChanged;
        }

        void RegionRegistreUsuari_IsVisibleChanged(object sender, DependencyPropertyChangedEventArgs e)
        {
            if (this.IsVisible)
            {
                txtPassword.Password = "";
                Controller.RegistreUsuari.Clear();
            }
        }

        public MainWindowController Controller
        {
            get { return (MainWindowController)this.DataContext; }
        }

        private void btnAceptar_Click(object sender, RoutedEventArgs e)
        {
            Controller.RegistreUsuari.Password = txtPassword.Password;
            ResultPeticio result = Controller.RegistreUsuari.RegistrarUsuari();

            if (result.CodiError!=0)
            {
                MessageBox.Show(result.MissatgeError);
            }
        }
    }
}
